---------------------
PatchSet 3880 
Date: 2006/10/25 17:45:00
Author: rousskov
Branch: squid3-icap
Tag: (none) 
Log:
- Ignore broken services. There is no point in contacting them until they
  recover.

Members: 
	src/ICAP/ICAPConfig.cc:1.1.2.3->1.1.2.4 

Index: squid3/src/ICAP/ICAPConfig.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/ICAPConfig.cc,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid3/src/ICAP/ICAPConfig.cc	25 Oct 2006 04:58:05 -0000	1.1.2.3
+++ squid3/src/ICAP/ICAPConfig.cc	25 Oct 2006 17:45:00 -0000	1.1.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPConfig.cc,v 1.1.2.3 2006/10/25 04:58:05 rousskov Exp $
+ * $Id: ICAPConfig.cc,v 1.1.2.4 2006/10/25 17:45:00 rousskov Exp $
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
@@ -292,8 +292,13 @@
         if (point != service->point)
             continue;
 
+        // sending a message to a broken service is likely to cause errors
+        if (service->broken())
+            continue;
+
         if (service->up()) {
-            // we cannot check wantsUrl() for service that is not "up"
+            // sending a message to a service that does not want it is useless
+            // note that we cannot check wantsUrl for service that is not "up"
             if (!service->wantsUrl(req->urlpath))
                 continue;
         } else
